import { Component, OnInit, Input } from '@angular/core';
import {
  TranslationEventJson,
  Info,
  MassTranslationEventJson
} from '@ucap-webmessenger/protocol-event';

@Component({
  selector: 'ucap-chat-message-box-mass-translation',
  templateUrl: './mass-translation.component.html',
  styleUrls: ['./mass-translation.component.scss']
})
export class MassTranslationComponent implements OnInit {
  @Input()
  message: Info<MassTranslationEventJson>;

  @Input()
  translationSimpleview: boolean;

  @Input()
  isMe: boolean;

  constructor() {}

  ngOnInit() {}
}
